Option Explicit
Dim objTheSky
Dim objTele
Dim objTimeToPark

' Create TheSkyX and Telescope Objects...

WScript.echo Now()

objTimeToPark = TimeSerial(23,0,0) 'Park the telescope at 5 hours, 0 minutes, 0 seconds, or edit the TimeSerial parameters for another time

' Connect to the objects...
while 1

If Time() > objTimeToPark Then  ' If the current time is later than the time to park, park the mount.

'WScript.echo Time()
'WScript.echo objTimeToPark

Set objTheSky = WScript.CreateObject("TheSkyXAdaptor.RASCOMTheSky")
Set objTele = WScript.CreateObject("TheSkyXAdaptor.RASCOMTele")

objTheSky.Connect()
objTele.Connect()

' Park the telescope...
objTele.Park()

' Disconnect...
objTheSky.Disconnect()
objTele.Disconnect()

' Clean up...
Set objTheSky = Nothing
Set objTele = Nothing

WScript.echo "Telescope successfully parked!"

WScript.quit

End If

WScript.sleep 60000 'wait this many milliseconds before checking time again

Wend
